function onClickHandler(info, tab) {
  if (info.menuItemId === 'choco_child_menu1') {
    chrome.storage.local.set({ 'chocoTool': info.selectionText });
    var url = 'https://czmemo.com/en/tool/word_list/';
    chrome.tabs.create({ url: url }, tab => { });
  } else if (info.menuItemId === 'choco_child_menu2') {
    chrome.storage.local.set({ 'chocoTool2': info.selectionText });
    var url = 'https://czmemo.com/en/tool/wpm_up/';
    chrome.tabs.create({ url: url });
  };
};

chrome.contextMenus.onClicked.addListener(onClickHandler);

chrome.runtime.onInstalled.addListener(function () {
  chrome.contextMenus.create({
    "title": "Choco-Tool Launcher",
    "type": "normal",
    "contexts": ["selection"],
    "id": "choco_menu"
  });

  chrome.contextMenus.create({
    "title": "英単語リスト作成ツール",
    "contexts": ["selection"],
    "parentId": "choco_menu",
    "id": "choco_child_menu1"
  });

  chrome.contextMenus.create({
    "title": "WPM強化ツール",
    "contexts": ["selection"],
    "parentId": "choco_menu",
    "id": "choco_child_menu2"
  });
});